Bug 125918 - FILEOPEN DOCX Rotated long text in text box is not broken to fit text box size
Summary: FILEOPEN DOCX Rotated long text in text box is not broken to fit text box size
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Textbox
  Show dependency treegraph
 
Reported: 2019-06-14 09:45 UTC by NISZ LibreOffice Team
Modified: 2019-10-17 14:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (285.89 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-06-14 09:45 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer 6.3-oldest (89.05 KB, image/png)
2019-06-14 09:46 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer 6.4 (71.64 KB, image/png)
2019-06-14 09:46 UTC, NISZ LibreOffice Team
Details
Screenshot of the document in current Writer master (86.55 KB, image/png)
2019-10-17 14:32 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-06-14 09:45:27 UTC
Created attachment 152188 [details]
Example file from Word

Attached document contains a rotated text box with a long text, which is broken up to multiple lines in Word to fit the size of the text box.
In recent Writer the text box rotation started to improve but the rotated text is not broken up to multiple lines yet (unlike in the non-rotated case), so it flows out of the text box.


Actual results:
Rotated long text appears in one line.

Expected results:
Rotated text is broken to multiple lines to fit inside the box size.

LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 2dc6bdd1d5789ace0500cad90f5d2eb930888bb9
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-12_23:41:00
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-06-14 09:46:08 UTC
Created attachment 152189 [details]
Screenshot of the original document side by side in Word and Writer 6.3-oldest
Comment 2 NISZ LibreOffice Team 2019-06-14 09:46:38 UTC
Created attachment 152190 [details]
Screenshot of the original document side by side in Word and Writer 6.4
Comment 3 Gabor Kelemen 2019-06-14 09:53:53 UTC
@Miklos this may interest you
Comment 4 Jacques Guilleron 2019-06-16 16:24:56 UTC
Hi NISZ LibreeOffice Team, Gabor,

I Confirms it with
LO : 6.4.0.0.alpha0+ (x86) Build ID: 5e6af47dc87a55fea595c952ea3e59c93d0620db
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL

Jacques
Comment 5 NISZ LibreOffice Team 2019-10-17 14:32:11 UTC
Created attachment 155091 [details]
Screenshot of the document in current Writer master

Looks pretty good in:

Version: 6.4.0.0.alpha1+ (x86)
Build ID: f0340d58cc0f2808ce8003099ff2a0495360f267
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 6 Xisco Faulí 2019-10-17 14:39:16 UTC
This seems the same issue as bug 123325.
Verified in

Versión: 6.3.3.1 (x86)
Id. de compilación: f41f4c7f9507aeca13cb9df51f34d80e8ba30a99
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

Please, create a follow-up bug for the frame's size issue...
Comment 7 Xisco Faulí 2019-10-17 14:46:28 UTC
Just for the record, this issue might has been fixed by the combination of https://git.libreoffice.org/core/commit/9c81d0a268cca4ff36eff94c0842361b9c0287ef and https://git.libreoffice.org/core/commit/ff17478e069cc82681df62514876c06365dd5cd6